# ldacenc

This element encodes raw integer PCM audio into a Bluetooth LDAC audio.

## Example pipeline

     gst-launch-1.0 -v audiotestsrc ! ldacenc ! rtpldacpay mtu=679 ! avdtpsink

Encode a sine wave into LDAC, RTP payload it and send over bluetooth

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──ldacenc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Sanchayan Maity <sanchayan></sanchayan>

Classification: – `Codec/Encoder/Audio`

Rank – none

Plugin – ldac

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: { S16LE, S24LE, S32LE, F32LE }
               rate: { (int)44100, (int)48000, (int)88200, (int)96000 }
           channels: [ 1, 2 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-ldac:
               rate: { (int)44100, (int)48000, (int)88200, (int)96000 }
           channels: 1
       channel-mode: mono
    audio/x-ldac:
               rate: { (int)44100, (int)48000, (int)88200, (int)96000 }
           channels: 2
       channel-mode: { (string)dual, (string)stereo }

Presence – always

Direction – src

Object type – GstPad

## Properties

### eqmid

    “eqmid” GstLdacEqmid *

Encode Quality Mode Index. 0: High Quality 1: Standard Quality 2: Mobile Use Quality

Flags : Read / Write

Default value : sq (1)

## Named constants

### GstLdacEqmid

#### Members

`hq` (0) – HQ
`sq` (1) – SQ
`mq` (2) – MQ

The results of the search are